org.flexdock.plaf.resources.paint

## Class DefaultPainter

- java.lang.Object
- - org.flexdock.plaf.resources.paint.DefaultPainter

- All Implemented Interfaces:
    Painter
  Direct Known Subclasses:
    EclipseGradientPainter, GradientPainter, MetalPainter, OfficeXPPainter, SkinLFPainter

      public class DefaultPainter
      extends java.lang.Object
      implements Painter

  Author:
    Claudio Romano

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.awt.Color` | `DEFAULT_BG_COLOR`
    `static java.awt.Color` | `DEFAULT_BG_COLOR_ACTIVE`
    `protected PainterResource` | `painterResource`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultPainter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.awt.Color` | `getBackgroundColor(boolean active)`
    `protected java.awt.Color` | `getBackgroundColorActive()`
    `protected java.awt.Color` | `getBackgroundColorInactive()`
    `PainterResource` | `getPainterResource()`
    `void` | `paint(java.awt.Graphics g, int width, int height, boolean active, javax.swing.JComponent titlebar)`
    `void` | `setPainterResource(PainterResource painterResource)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_BG_COLOR

          public static final java.awt.Color DEFAULT_BG_COLOR

    - #### DEFAULT_BG_COLOR_ACTIVE

          public static final java.awt.Color DEFAULT_BG_COLOR_ACTIVE

    - #### painterResource

          protected PainterResource painterResource

  - ### Constructor Detail

    - #### DefaultPainter

          public DefaultPainter()

  - ### Method Detail

    - #### paint

          public void paint(java.awt.Graphics g,
                   int width,
                   int height,
                   boolean active,
                   javax.swing.JComponent titlebar)

      Specified by:
        `paint` in interface `Painter`

    - #### getBackgroundColor

          protected java.awt.Color getBackgroundColor(boolean active)

    - #### getBackgroundColorInactive

          protected java.awt.Color getBackgroundColorInactive()

    - #### getBackgroundColorActive

          protected java.awt.Color getBackgroundColorActive()

    - #### getPainterResource

          public PainterResource getPainterResource()

      Specified by:
        `getPainterResource` in interface `Painter`
      Returns:
        Returns the painterResource.

    - #### setPainterResource

          public void setPainterResource(PainterResource painterResource)

      Specified by:
        `setPainterResource` in interface `Painter`
      Parameters:
        `painterResource` - The painterResource to set.